Bug 180321 - Missing files in unixODBC-devel
Missing files in unixODBC-devel
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: unixODBC (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-07 04:42 EST by Devrim GÜNDÜZ
Modified: 2013-07-02 23:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-09 20:08:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devrim GÜNDÜZ 2006-02-07 04:42:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
ini.h and log.h, included in /usr/include/odbcinstext.h is not included in the package. Also, lst.h, included from log.h is missing. This causes build errors that uses this package during compilation. We had this problem in ODBCng, of PostgreSQL: http://projects.commandprompt.com/projects/public/odbcng

Version-Release number of selected component (if applicable):
unixODBC-devel does not install some files

How reproducible:
Always

Steps to Reproduce:
1. Download the SVN version of ODBCng: http://projects.commandprompt.com/projects/public/odbcng
2. run prepare.sh, ./configure and make


Actual Results:  Built failed, prompting with an error, telling that the files written above are missing.

Additional info:

I fetched the SRPM and copied the relevant files into /usr/include. Then the builtd completed fine.
Comment 1 Tom Lane 2006-02-07 10:48:58 EST
AFAICS this would only be an issue if you'd #defined UNIXODBC_SOURCE, which you
presumably shouldn't be doing in a client application.  So why is this a bug?
Comment 2 Devrim GÜNDÜZ 2006-02-07 19:20:42 EST
Ok but how can you explain the missing header files, which are included in
odbcinstext.h?
Comment 3 Tom Lane 2006-02-08 01:44:47 EST
The upstream package's "make install" action doesn't install them, therefore the Red Hat RPM doesn't 
either.

If you don't like this I think you ought to take it up with the unixODBC developers, not me ...
Comment 4 Devrim GÜNDÜZ 2006-02-09 19:17:05 EST
Thanks. I'll contact with those guys.
Comment 5 Tom Lane 2006-02-09 20:08:51 EST
OK, closing as UPSTREAM issue.

Note You need to log in before you can comment on or make changes to this bug.